/* eslint valid-jsdoc: "off" */
"use strict";
const path = require("path");

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = (appInfo) => {
  // add your user config here
  const config = (exports = {});
  config.mysql = {
    // pn库  数据库和项目是在同一台机器上，所以是127.0.0.1
    client: {
      host: "127.0.0.1", // 自己的数据库host
      port: "3306", // 自己的连接端口
      user: "workorder", // 可以使用root
      password: "402workorder_COM", // 数据库密码
      database: "front_admin", // 要连接的数据库名称
      // debug: true //打印sql
    },
    app: true,
    agent: false,
  };
  config.implaPath = "http://127.0.0.1:7002";
  /** redis配置 */
  config.redis = {
    client: {
      port: 6379,
      host: "127.0.0.1",
      password: "",
      db: 0,
    },
  };
  return {
    ...config,
  };
};
