"use strict";

const Service = require("egg").Service;
const ChatBot = require("dingtalk-robot-sender");
class DingTalkService extends Service {
  /**
   * dingding推送工具
   * @param { accessToken }
   * @param { secret }  签名
   */
  
  async DingTalk(accessToken, secret) {
    try {
      const robot = new ChatBot({
        baseUrl: "https://oapi.dingtalk.com/robot/send",
        // 此处是钉钉生成的 webhook 中 ？号后面的token
        accessToken,
        // 此处是签名
        secret,
      });
      return robot;
    } catch (err) {

      return err;
    }
  }
}
module.exports = DingTalkService;
